import { Description } from "./Description";
import { WebTileDescription } from "./WebTileDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class WebTileChangeStateEventArgsDetailDescription extends Description {
    static $t: Type;
    protected get_type(): string;
    get type(): string;
    private static __marshalByValue;
    private static __marshalByValueAlias;
    constructor();
    private h;
    get tile(): WebTileDescription;
    set tile(a: WebTileDescription);
    private k;
    get state(): boolean;
    set state(a: boolean);
}
